POST api/NTCosCompany/PostCOSServiceWorkLocation
Request Information
URI Parameters
None.
Body Parameters
Collection of COSServiceWorkLocationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| WorkLocationCode | string |
String length: inclusive between 0 and 20 |
|
| WorkLocationName | string |
String length: inclusive between 0 and 200 |
|
| WorkLocationShortName | string |
String length: inclusive between 0 and 200 |
|
| COSServiceId | integer |
None. |
|
| IsSelected | boolean |
None. |
|
| Address1 | string |
String length: inclusive between 0 and 200 |
|
| Suite | string |
String length: inclusive between 0 and 10 |
|
| City | string |
String length: inclusive between 0 and 100 |
|
| State | string |
String length: inclusive between 0 and 2 |
|
| Country | string |
String length: inclusive between 0 and 50 |
|
| Zip | string |
String length: inclusive between 0 and 10 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"Id": 1,
"CorporationCode": "sample string 2",
"WorkLocationCode": "sample string 3",
"WorkLocationName": "sample string 4",
"WorkLocationShortName": "sample string 5",
"COSServiceId": 6,
"IsSelected": true,
"Address1": "sample string 8",
"Suite": "sample string 9",
"City": "sample string 10",
"State": "sample string 11",
"Country": "sample string 12",
"Zip": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:44.1769342-07:00",
"DateUpdated": "2026-08-04T14:26:44.1769342-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CorporationCode": "sample string 2",
"WorkLocationCode": "sample string 3",
"WorkLocationName": "sample string 4",
"WorkLocationShortName": "sample string 5",
"COSServiceId": 6,
"IsSelected": true,
"Address1": "sample string 8",
"Suite": "sample string 9",
"City": "sample string 10",
"State": "sample string 11",
"Country": "sample string 12",
"Zip": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:44.1769342-07:00",
"DateUpdated": "2026-08-04T14:26:44.1769342-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfCOSServiceWorkLocationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of COSServiceWorkLocationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"CorporationCode": "sample string 2",
"WorkLocationCode": "sample string 3",
"WorkLocationName": "sample string 4",
"WorkLocationShortName": "sample string 5",
"COSServiceId": 6,
"IsSelected": true,
"Address1": "sample string 8",
"Suite": "sample string 9",
"City": "sample string 10",
"State": "sample string 11",
"Country": "sample string 12",
"Zip": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:44.1925485-07:00",
"DateUpdated": "2026-08-04T14:26:44.1925485-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
},
{
"Id": 1,
"CorporationCode": "sample string 2",
"WorkLocationCode": "sample string 3",
"WorkLocationName": "sample string 4",
"WorkLocationShortName": "sample string 5",
"COSServiceId": 6,
"IsSelected": true,
"Address1": "sample string 8",
"Suite": "sample string 9",
"City": "sample string 10",
"State": "sample string 11",
"Country": "sample string 12",
"Zip": "sample string 13",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:26:44.1925485-07:00",
"DateUpdated": "2026-08-04T14:26:44.1925485-07:00",
"UserIDCreated": 17,
"UserIDUpdated": 18,
"CompanyCode": "sample string 19",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}